extends NavigationRegion2D


# Declare member variables here. Examples:
# var a = 2
# var b = "text"


# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.

signal navigable_region_clicked(nav, point)
# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass

func _unhandled_input(event):

	if event is InputEventMouseButton and event.is_pressed():
		emit_signal("navigable_region_clicked", $"..", get_local_mouse_position())
		
